Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.security
Class UserPermissionInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.security.PermissionInfo
            |
            +--com.bea.wlpi.common.security.UserPermissionInfo

public final class UserPermissionInfo
extends PermissionInfo

Holds permisssion infomation about a WLPI user.

Objects of this class holds various permissions defined by `EnumPermission` for a particular WLPI user. These are the `Serializable` objects that will be transmitting across the application server boundary.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`UserPermissionInfo(java.lang.String userId)` Create a new UserPermissionInfo object.
`UserPermissionInfo(java.lang.String userId, java.util.List roles)` Create a new UserPermissionInfo object.

Method Summary
`java.util.List` | `getRoles()` Return a List of RoleInfos in which the user has a membership.

Methods inherited from class com.bea.wlpi.common.security.PermissionInfo
`getPermissions, getPrincipalId, hasPermission, setPermission`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserPermissionInfo

    public UserPermissionInfo(java.lang.String userId)

  Create a new UserPermissionInfo object.

  Parameters:
    `userId` - The WLPI user ID.

### UserPermissionInfo

    public UserPermissionInfo(java.lang.String userId,
                              java.util.List roles)

  Create a new UserPermissionInfo object.

  Parameters:
    `userId` - The WLPI user ID.
    `roles` - A List of RoleInfos in which the user has a membership. If it is empty or null, then the user is considered as having no membership in any roles.

Method Detail

### getRoles

    public final java.util.List getRoles()

  Return a List of RoleInfos in which the user has a membership.

  Returns:
    The role IDs. If it is empty or null, then the user is considered as having no membership

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)